### Method

# GimpUi PreviewArea fill

#### Declaration [src]

    void
    gimp_preview_area_fill (
      GimpPreviewArea* area,
      gint x,
      gint y,
      gint width,
      gint height,
      guchar red,
      guchar green,
      guchar blue
    )

#### Description [src]

Fills the given rectangle of `area` in the given color and queues a redraw.

Since GIMP 2.2.

#### Parameters

`x`

  Type: `gint`

  X offset in preview.

`y`

  Type: `gint`

  Y offset in preview.

`width`

  Type: `gint`

  Width of the rectangle to fill.

`height`

  Type: `gint`

  Height of the rectangle to fill.

`red`

  Type: `guchar`

  Red component of the fill color (0-255).

`green`

  Type: `guchar`

  Green component of the fill color (0-255).

`blue`

  Type: `guchar`

  Red component of the fill color (0-255).